Saltar al contenido principal
GET
/
v1
/
contexts
List reconciliation contexts
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts \
  --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "019c96a0-10a0-72d2-9fb0-2b7de8093182", "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769", "name": "Bank Reconciliation Q1", "type": "1:1", "interval": "daily", "status": "ACTIVE", "feeToleranceAbs": "0.50", "feeTolerancePct": "0.01", "feeNormalization": "NET", "autoMatchOnUpload": false, "createdAt": "2025-01-15T10:30:00.000Z", "updatedAt": "2025-01-15T10:30:00.000Z" } ], "nextCursor": "eyJpZCI6IjEyMyJ9", "limit": 20, "prevCursor": "eyJpZCI6IjEyMiJ9", "hasMore": true }

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de consulta

limit
integer
predeterminado:20

The maximum number of items to include in the response.

Rango requerido: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results.

type
enum<string>

Filter by context type

Opciones disponibles:
1:1,
1:N,
N:M
status
enum<string>

Filter by context status

Opciones disponibles:
DRAFT,
ACTIVE,
PAUSED,
ARCHIVED

Respuesta

List of contexts with cursor pagination

Cursor-paginated list of reconciliation contexts

items
object[]

List of reconciliation contexts

nextCursor
string
Ejemplo:

"eyJpZCI6IjEyMyJ9"

limit
integer
Rango requerido: 1 <= x <= 200
Ejemplo:

20

prevCursor
string
Ejemplo:

"eyJpZCI6IjEyMiJ9"

hasMore
boolean
Ejemplo:

true